<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Package org.apache.commons.dbcp2 (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.commons.dbcp2 (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package org.apache.commons.dbcp2" class="title">Uses of Package<br>org.apache.commons.dbcp2</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.dbcp2">org.apache.commons.dbcp2</a></td>
<td class="colLast">
<div class="block">
 Database Connection Pool API.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.dbcp2.cpdsadapter">org.apache.commons.dbcp2.cpdsadapter</a></td>
<td class="colLast">
<div class="block">
 This package contains one public class which is a
 <code>ConnectionPoolDataSource</code> (CPDS) implementation that can be used to
 adapt older <code>Driver</code> based JDBC implementations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.dbcp2.managed">org.apache.commons.dbcp2.managed</a></td>
<td class="colLast">
<div class="block">
 This package provides support for pooling of ManagedConnections.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.dbcp2">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> used by <a href="../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/AbandonedTrace.html#org.apache.commons.dbcp2">AbandonedTrace</a>
<div class="block">Tracks db connection usage for recovering and reporting abandoned db connections.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/BasicDataSource.html#org.apache.commons.dbcp2">BasicDataSource</a>
<div class="block">
 Basic implementation of <code>javax.sql.DataSource</code> that is configured via JavaBeans properties.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/BasicDataSourceMXBean.html#org.apache.commons.dbcp2">BasicDataSourceMXBean</a>
<div class="block">Defines the methods that will be made available via JMX.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/ConnectionFactory.html#org.apache.commons.dbcp2">ConnectionFactory</a>
<div class="block">Abstract factory interface for creating <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/DelegatingCallableStatement.html#org.apache.commons.dbcp2">DelegatingCallableStatement</a>
<div class="block">A base delegating implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/CallableStatement.html?is-external=true" title="class or interface in java.sql"><code>CallableStatement</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/DelegatingConnection.html#org.apache.commons.dbcp2">DelegatingConnection</a>
<div class="block">A base delegating implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/DelegatingPreparedStatement.html#org.apache.commons.dbcp2">DelegatingPreparedStatement</a>
<div class="block">A base delegating implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/DelegatingStatement.html#org.apache.commons.dbcp2">DelegatingStatement</a>
<div class="block">A base delegating implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql"><code>Statement</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PoolableConnection.html#org.apache.commons.dbcp2">PoolableConnection</a>
<div class="block">A delegating connection that, rather than closing the underlying connection, returns itself to an <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>ObjectPool</code></a>
 when closed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PoolableConnectionFactory.html#org.apache.commons.dbcp2">PoolableConnectionFactory</a>
<div class="block">A <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>PooledObjectFactory</code></a> that creates <a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolableConnection</code></a>s.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PoolableConnectionMXBean.html#org.apache.commons.dbcp2">PoolableConnectionMXBean</a>
<div class="block">Defines the attributes and methods that will be exposed via JMX for <a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolableConnection</code></a> instances.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PoolablePreparedStatement.html#org.apache.commons.dbcp2">PoolablePreparedStatement</a>
<div class="block">A <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2"><code>DelegatingPreparedStatement</code></a> that cooperates with <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolingConnection</code></a> to implement a pool of
 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>s.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PoolingConnection.StatementType.html#org.apache.commons.dbcp2">PoolingConnection.StatementType</a>
<div class="block">Statement types.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PStmtKey.html#org.apache.commons.dbcp2">PStmtKey</a>
<div class="block">A key uniquely identifying <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.dbcp2.cpdsadapter">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> used by <a href="../../../../org/apache/commons/dbcp2/cpdsadapter/package-summary.html">org.apache.commons.dbcp2.cpdsadapter</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PStmtKey.html#org.apache.commons.dbcp2.cpdsadapter">PStmtKey</a>
<div class="block">A key uniquely identifying <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>s.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.dbcp2.managed">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../org/apache/commons/dbcp2/package-summary.html">org.apache.commons.dbcp2</a> used by <a href="../../../../org/apache/commons/dbcp2/managed/package-summary.html">org.apache.commons.dbcp2.managed</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/AbandonedTrace.html#org.apache.commons.dbcp2.managed">AbandonedTrace</a>
<div class="block">Tracks db connection usage for recovering and reporting abandoned db connections.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/BasicDataSource.html#org.apache.commons.dbcp2.managed">BasicDataSource</a>
<div class="block">
 Basic implementation of <code>javax.sql.DataSource</code> that is configured via JavaBeans properties.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/BasicDataSourceMXBean.html#org.apache.commons.dbcp2.managed">BasicDataSourceMXBean</a>
<div class="block">Defines the methods that will be made available via JMX.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/ConnectionFactory.html#org.apache.commons.dbcp2.managed">ConnectionFactory</a>
<div class="block">Abstract factory interface for creating <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/DelegatingConnection.html#org.apache.commons.dbcp2.managed">DelegatingConnection</a>
<div class="block">A base delegating implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PoolableConnection.html#org.apache.commons.dbcp2.managed">PoolableConnection</a>
<div class="block">A delegating connection that, rather than closing the underlying connection, returns itself to an <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>ObjectPool</code></a>
 when closed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PoolableConnectionFactory.html#org.apache.commons.dbcp2.managed">PoolableConnectionFactory</a>
<div class="block">A <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/PooledObjectFactory.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>PooledObjectFactory</code></a> that creates <a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolableConnection</code></a>s.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PoolableConnectionMXBean.html#org.apache.commons.dbcp2.managed">PoolableConnectionMXBean</a>
<div class="block">Defines the attributes and methods that will be exposed via JMX for <a href="../../../../org/apache/commons/dbcp2/PoolableConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolableConnection</code></a> instances.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../org/apache/commons/dbcp2/class-use/PoolingDataSource.html#org.apache.commons.dbcp2.managed">PoolingDataSource</a>
<div class="block">A simple <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/DataSource.html?is-external=true" title="class or interface in javax.sql"><code>DataSource</code></a> implementation that obtains <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a>s from the specified <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/ObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>ObjectPool</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
